global_costmap:
    frame_id: map
    plugins:
        - {name: navigation_map, type: "costmap_2d::StaticLayer" }
        - {name: virtual_walls_map, type: "costmap_2d::StaticLayer" }
        - {name: obstacles,  type: "costmap_2d::VoxelLayer" }
        - {name: preferred_zones_map, type: "costmap_2d::PreferredLayer" }
        - {name: unpreferred_zones_map, type: "costmap_2d::UnPreferredLayer" }
        - {name: direction_zones_map, type: "costmap_2d::DirectionalLayer" }
        - {name: inflation,  type: "costmap_2d::InflationLayer" }
        - {name: critical_zones_map, type: "costmap_2d::CriticalLayer" }
    # obstacles:
    #     track_unknown_space: true